com.hazelcast.config

## Class MapAttributeConfigReadOnly

- java.lang.Object
- - com.hazelcast.config.MapAttributeConfig
  - - com.hazelcast.config.MapAttributeConfigReadOnly

- All Implemented Interfaces:
    DataSerializable, IdentifiedDataSerializable

  Deprecated.
  this class will be removed in 4.0; it is meant for internal usage only.

      public class MapAttributeConfigReadOnly
      extends MapAttributeConfig

  Contains the configuration for a extractor of Map.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapAttributeConfigReadOnly(MapAttributeConfig config)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `MapAttributeConfig` | `setExtractor(String type)` Deprecated. Sets the full class name of the extractor in a String format, e.g.
    `MapAttributeConfig` | `setName(String attribute)` Deprecated. Sets the name of the attribute extracted by the extractor.

    - ### Methods inherited from class com.hazelcast.config.MapAttributeConfig

      `equals, getAsReadOnly, getExtractor, getFactoryId, getId, getName, hashCode, readData, toString, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MapAttributeConfigReadOnly

          public MapAttributeConfigReadOnly(MapAttributeConfig config)

      Deprecated.

  - ### Method Detail

    - #### setName

          public MapAttributeConfig setName(String attribute)

      Deprecated.
      Description copied from class: `MapAttributeConfig`
      Sets the name of the attribute extracted by the extractor. The name cannot be equal to any of the query constants.
      Overrides:
        `setName` in class `MapAttributeConfig`
      Parameters:
        `attribute` - the name of the attribute extracted by the extractor
      Returns:
        the updated MapAttributeConfig
      See Also:
        `QueryConstants`

    - #### setExtractor

          public MapAttributeConfig setExtractor(String type)

      Deprecated.
      Description copied from class: `MapAttributeConfig`
      Sets the full class name of the extractor in a String format, e.g. `com.example.car.SpeedExtractor`.
      Overrides:
        `setExtractor` in class `MapAttributeConfig`
      Parameters:
        `type` - the full class name of the extractor in a String format
      Returns:
        the updated MapAttributeConfig

Copyright © 2019. All rights reserved.